Php5 über PHP4 installieren?

Dieses Thema im Forum "Software" wurde erstellt von affenschwanz, 31. Januar 2005.

  1. affenschwanz

    affenschwanz @ffenschwanzerl

    Will PHP 5 installieren und frag mich, ob das ohne Probleme geht, da ich PHP4 schonmal installiert hab. Oder muss ich PHP4 erst Deinstalliern, bzw. die Files in den Papierkorb werfen? Wenn ja, wo sind die?
    Und liegen die sonst einfach Brach auf der Platte rum? Dann könnt's man ja gleich wegschmeissen?! Nich?
    Gruss
     
  2. schnabbel

    schnabbel New Member

    http://www.entropy.ch/software/macosx/php/#update
     
  3. affenschwanz

    affenschwanz @ffenschwanzerl

    jep, das hab ich bereits auch gelesen.. aber liegen denn die php4 dateien nicht irgendwo sinnlos rum?
    Gruss
     
  4. schnabbel

    schnabbel New Member

    Ein Stückerl weiter unten schreibt er, dass man beide Versionen installieren kann.

    Die alte war unter
    /usr/local/php
    zu finden

    und PHP5 unter
    /usr/local/php5

    Also vorausgesetzt, Du hast die Packages von Entropy benutzt, kannst Du nach der Installation von PHP5 den "/usr/local/php" löschen - oder aber auch behalten.

    Zumindest habe ich das so verstanden. Aber auf mich würde ich mich nicht verlassen :D
     
  5. affenschwanz

    affenschwanz @ffenschwanzerl

    ja so hab ich das auch verstanden..

    hab des php4 aber schoon solange installiert, dass ich nicht mehr weiss, ob des der Entropy Installer war. Und unter /usr/local/php ist nichts zu finden.. nur der php5 ordner liegt im local ordner.. werd' dann wohl mal die Suche benutzen, vielleicht findet die den alten php ordner.. ansonsten ist der irgendwo im Nirvana verschwunden :crazy: :)
    Gruss
     
  6. affenschwanz

    affenschwanz @ffenschwanzerl

    Hab nur noch einen PHP Ordner gefunden, der es sein könnte. Glaub' aber kaum: /usr/lib/php

    der hat dort aber kein config.php drinne, deshalb denk ich dass ists net. Hast du den Ordner bei dir auch?!
    Gruss
     
  7. schnabbel

    schnabbel New Member

    Ich habe sowohl den /usr/lib/php
    als auch den /usr/local/php

    Im letzteren liegt auch die config Datei von entropy.
    Was es mit dem /usr/lib/php auf sich hat kann ich leider nicht sagen. Vielleicht ist das der Ordner der standardmäßig mit dem OS X installiert wird?

    Im Gegensatz zu Dir bin ich aber auch noch auf Jaguar unterwegs und ob das ne Bedeutung hat kann ich auch nicht sagen.

    Ich würde aber an Deiner Stelle PHP4 (zumindest als Notlösung) behalten. Ich hab jetzt schon desöfteren gelesen, dass PHP5 noch net ganz so toll funktioniert.

    Grüße
    Patrick
     

Diese Seite empfehlen